Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6093 - sndconfig fails with SB 16 PnP
Summary: sndconfig fails with SB 16 PnP
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sndconfig
Version: 6.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-19 19:06 UTC by aa9647
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-08 22:38:04 UTC


Attachments (Terms of Use)

Description aa9647 1999-10-19 19:06:58 UTC
I have redhat 6.1, with SB16pnp.  When running sndconfig I
get: The following error occured running the isapnp program:
Don't know what to do with CONFIGURE CTL0024/269340397 (LD 2
on or around line 344 /etc/isapnp.conf:344 --Fatal--Error
occured parsing config file -- no action taken

The only other ISA cards I have are a 3COM 3C509 @ I/O 300,
IRQ 10

Comment 1 Bill Nottingham 1999-10-19 19:10:59 UTC
What does your /etc/isapnp.conf look like?

Comment 2 Bill Nottingham 1999-10-20 02:32:59 UTC
Eek; remove that isapnp.conf.  It's apparently barfing badly trying
to merge the two entries. Does it work if you run it without an
isapnp.conf?

Comment 3 Bill Nottingham 1999-10-20 16:17:59 UTC
OK, what you could do is simply generate an isapnp.conf, either
by uncommenting the settings you need, or by running pnpdump -c.
You should then be able to add the appropriate settings to
/etc/conf.modules.

Comment 4 Bill Nottingham 1999-10-20 20:01:59 UTC
If you run 'pnpdump | less', do you actually get multiple
entries for the sb16 card?

If not, what does the edited isapnp.conf file that's causing
the error look like?

Comment 5 Bill Nottingham 1999-10-29 20:44:59 UTC
I'm not sure. If you run pnpdump -c | less, do you get
multiple entries for the SB16 card, or only one?

Comment 6 Bill Nottingham 1999-11-01 18:48:59 UTC
Is the network card in use when you're trying to set up the sound
card?

Comment 7 Bill Nottingham 2000-02-08 22:38:59 UTC
Hmm... working with this isapnp.conf file, I can't
reproduce the error with the current version
of sndconfig.


Note You need to log in before you can comment on or make changes to this bug.